Skip to content

Endpoint

  • Method: GET
  • Path: /calendars/{id}/event-schema
  • Edition: Core
  • Controller: CalendarController@getEventSchema
  • Route source: fluent-booking/app/Http/Routes/api.php:23
  • Policy: CalendarPolicy

Get Event Schema

GET
/calendars/{id}/event-schema

Handler: CalendarController@getEventSchema. Source: fluent-booking/app/Http/Routes/api.php:23.

Authorizations

ApplicationPasswords

WordPress Application Passwords — use Basic auth with username:application_password.

Type
API Key (header: Authorization)

Parameters

Path Parameters

id*

Id path parameter.

Type
string
Required

Responses

Successful response.

application/json
JSON
{
"calendar": {
"id": 0,
"hash": "string",
"user_id": 0,
"account_id": 0,
"parent_id": {
},
"title": "string",
"slug": "string",
"media_id": 0,
"description": "string",
"settings": {
},
"status": "string",
"type": "string",
"event_type": "string",
"account_type": "string",
"visibility": "string",
"author_timezone": "string",
"max_book_per_slot": 0,
"created_at": "string",
"updated_at": "string"
}
}

Playground

Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI